BobBob
Messages : 4
Enregistré le : 22 juin 2020, 08:32
Contact : Envoyer un message privé

[Résolu] Xcaliber : packages unmet dependencies

22 juin 2020, 14:27

Bonjour à tous,
je viens de sauter le pas et me suis enfin débarrassé de Windows 10. J'ai donc installé Xubuntu 20.04 sur un portable Asus Vivobook avec AMD 3500u.

Je voulais installer le logiciel xcaliber pour régler mon affichage (couleur, contraste...), j'ai téléchargé un fichier.deb pour l'installer, l'application "Logiciel" me sort le message : "impossible d'installer xcaliber : the following packages have unmet dependencies : "

J'ai tenté d'installer avec le terminal pour savoir quel était ce fameux package manquant : c'est tk8.5, le terminal me dit qu'il n'y a pas de version disponible quand je fais sudo apt install tk8.5 (il ne me semble pas qu'il y ait de version dispo pour 20.04)

Qu'à cela ne tienne, je trouve un .deb sur internet de tk8.5, et là, évidemment, lui aussi a des unmet dependencies, il en a 2 d'ailleurs...

Bref, j'ai trouvé un tuto pour essayer de réparer ces problèmes de dépendances, rien n'y fait.

2 questions :
- est il possible qu'en cas de "vieux" logiciel, il faille installer des choses à la main, comme j'ai tenté de le faire pour tk8.5, et de proche en proche, ou est ce que le terminal et la commande install doit toujours y arriver seul?
- une idée pour installer mon xcaliber?

Merci d'avance!
Modifié en dernier par BobBob le 25 juin 2020, 08:33, modifié 1 fois.

pingux
Messages : 2500
Enregistré le : 28 déc. 2011, 17:19
Localisation : Belgique
Contact : Envoyer un message privé

Re: Xcaliber : packages unmet dependencies

23 juin 2020, 21:53

Hello, as tu essayé cette commande dans un terminal :

Code : Tout sélectionner

sudo apt -f install
Perso j'ai essayé une installation de Xcaliber sur une machine avec une version 16.04 de Xubuntu et cela s'est parfaitement déroulé, pas essayé avec 20.04.
Dura Lex sed Lex

BobBob
Messages : 4
Enregistré le : 22 juin 2020, 08:32
Contact : Envoyer un message privé

Re: Xcaliber : packages unmet dependencies

24 juin 2020, 07:30

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
libllvm9
Veuillez utiliser « sudo apt autoremove » pour le supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 9 non mis à jour.

Pour info, voici le message d'erreur quand j'essaye d'installer tk8.5 avec le .deb :

Note : sélection de « tk8.5 » au lieu de « /home/fred/Téléchargements/tk8.5_8.5.19-3_amd64.deb »
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
tk8.5 : Dépend: libtcl8.5 (>= 8.5.0) mais il n'est pas installable
Dépend: libtk8.5 (>= 8.5.0) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

BobBob
Messages : 4
Enregistré le : 22 juin 2020, 08:32
Contact : Envoyer un message privé

Re: Xcaliber : packages unmet dependencies

24 juin 2020, 07:50

J'y vois plus clair : après avoir un peu bidouillé, j'ai réussi à installer tk8.6 via la commande "sudo apt install tk"
Ce n'est pas la bonne version, si je retente l'installation de xcaliber on me demande toujours la version Tk8.5 alors que j'ai installé la 8.6 !

Apparement je ne suis pas le seul à avoir le problème, peut être faudrait il une màj de xcaliber...

pingux
Messages : 2500
Enregistré le : 28 déc. 2011, 17:19
Localisation : Belgique
Contact : Envoyer un message privé

Re: Xcaliber : packages unmet dependencies

24 juin 2020, 15:36

Apparement je ne suis pas le seul à avoir le problème, peut être faudrait il une màj de xcaliber...
La dernière version semble dater de 2014, une éternité en informatique.
Dura Lex sed Lex

BobBob
Messages : 4
Enregistré le : 22 juin 2020, 08:32
Contact : Envoyer un message privé

Re: Xcaliber : packages unmet dependencies

25 juin 2020, 08:33

Pour conclure : j'ai trouvé un autre moyen pour régler mon contraste/gamma :

Pour trouver le nom du moniteur :
$ xrandr --current |grep connected |grep -v disconnected

eDP connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 309mm x 174mm

(dans mon cas il s'appelle donc eDP)

Pour régler le gamma (composantes Rouge=1, Vert=1, Bleu=1) :
$ xrandr --output eDP --gamma 1:1:1


Si ça peut aider quelqu'un.
Merci pour l'aide

Retourner vers « Xubuntu »